/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BCKGRND                         1
#define  BCKGRND_TEXTMSG                 2

#define  CONFIG                          2
#define  CONFIG_CONTINUE                 2       /* callback function: configMeasurement */
#define  CONFIG_QUIT                     3       /* callback function: launchClose */
#define  CONFIG_START                    4       /* callback function: controlHelp */
#define  CONFIG_STOP                     5       /* callback function: controlHelp */
#define  CONFIG_FORMAT                   6       /* callback function: controlHelp */
#define  CONFIG_DECORATION               7

#define  INIT                            3
#define  INIT_CONTINUE                   2       /* callback function: initInstrument */
#define  INIT_CANCEL                     3       /* callback function: Cancel */
#define  INIT_ID                         4       /* callback function: controlHelp */
#define  INIT_RST                        5       /* callback function: controlHelp */
#define  INIT_RSRC_NAME                  6       /* callback function: controlHelp */

#define  MEAS                            4
#define  MEAS_LAUNCHCONFIG               2       /* callback function: launchConfig */
#define  MEAS_MEASUREMENT                3       /* callback function: takeMeasurement */
#define  MEAS_CLOSE                      4       /* callback function: launchClose */
#define  MEAS_TEXTBOX                    5
#define  MEAS_GRAPH                      6       /* callback function: controlHelp */
#define  MEAS_HIGH                       7
#define  MEAS_LOW                        8
#define  MEAS_DECORATION                 9
#define  MEAS_DECORATION_2               10


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK Cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configMeasurement(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchClose(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchConfig(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK takeMeasurement(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
